using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wTemplate_Content_默认模板_Content_Aspx_18:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:30
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=false;
		访问.开始处理("查看内容","其它","查看内容",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();
		ID=Convert.ToInt32(Request.QueryString["ID"]);
		栏目页码=Convert.ToInt32(Request.QueryString["cpage"]);
		栏目排序=Convert.ToInt32(Request.QueryString["corder"]);
		查询字段=获取查询字段();
		时间格式=获取时间格式();
		范围ID=获取范围ID();
		音乐内容=获取音乐内容();
		栏目ID=Convert.ToInt32(音乐内容["所属栏目"]);
		当前页面=程序.安装位置+"3G_Content.aspx";
		内容栏目=获取内容栏目();
		生成音乐内容();
		返回值.Append(@"<?xml version=""1.0"" encoding=""UTF-8""?>
<!DOCTYPE html PUBLIC ""-//W3C//DTD XHTML 1.0 Strict//EN"" ""DTD/xhtml1-strict.dtd"">
<html xmlns=""http://www.w3.org/1999/xhtml"">
<head>
<meta http-equiv=""cache-control"" content=""no-cache""/>
<meta http-equiv=""Content-Type"" content=""text/html; charset=utf-8"" />
<title>");
		返回值.Append(Server.HtmlEncode(音乐内容["标题"].ToString()));
		返回值.Append(@"-");
		返回值.Append(Server.HtmlEncode(内容栏目["栏目名称"].ToString()));
		返回值.Append(@"</title>
<style type=""text/css"">body{ font-size:12px;}body{background-color: #FFFFFF; margin: 0px; padding: 0px;font-size:12px;}
a:link{color:#009;}
a:visited{color:#800080;}
a{text-decoration:underline;}

div.div3  { padding-top: 5px; padding-left: 0px; padding-right: 0px; padding-bottom: 5px }

div.div5  { background-color: #ffefc4; color: #c62a05 }
div.div5  a { color: #6200c4 }

</style>
</head>
<body>
<div>
");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"
<div class=""div5"">
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=2",访问.用户["标识"].ToString())));
		返回值.Append(@""">首页</a>-<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_Column.aspx?ID="+内容栏目["ID"]+"&order="+栏目排序+"&page="+栏目页码,访问.用户["标识"].ToString())));
		返回值.Append(@""">");
		返回值.Append(Server.HtmlEncode(内容栏目["栏目名称"].ToString()));
		返回值.Append(@"</a>-音乐<br/>
</div>
<div class=""div3"">
");
		返回值.Append(Server.HtmlEncode(音乐内容["标题"].ToString()));
		返回值.Append(@"
</div>
----------<br/>
<div class=""div3"">
歌手:");
		返回值.Append(Convert.ToString(音乐内容["歌手名称"].ToString())==""?"未知":"<a href=\""+Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_Singer.aspx?g="+Server.UrlEncode(音乐内容["歌手名称"].ToString()),访问.用户["标识"].ToString()))+"\">"+Server.HtmlEncode(音乐内容["歌手名称"].ToString())+"</a>");
		返回值.Append(@" 专辑:");
		返回值.Append(Convert.ToString(音乐内容["所属专辑"].ToString())==""?"未知":"<a href=\""+Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_Album.aspx?g="+Server.UrlEncode(音乐内容["所属专辑"].ToString()),访问.用户["标识"].ToString()))+"\">"+Server.HtmlEncode(音乐内容["所属专辑"].ToString())+"</a>");
		返回值.Append(@"
</div>
");
		音乐内容WMJLAMYO();
		返回值.Append(@"
");
		上下音乐FO80P8G1();
		返回值.Append(@"
");
		上下音乐W01RAAYO();
		返回值.Append(@"

");
		if(!Convert.ToBoolean(音乐内容["是否关闭评论"]))
		{
		返回值.Append(@"<form method=""post"" action=""/UUN WAP CMS 3.1/3G_Comment_Save.aspx?CID=");
		返回值.Append(音乐内容["所属栏目"]);
		返回值.Append(@"&amp;ID=");
		返回值.Append(音乐内容["ID"]);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">
<input type=""text"" name=""CommentText"" maxlength=""250"" /><br/>
<input type=""submit"" value=""发表评论""/>
</form>
");
		评论列表W04JQEZ8();
		返回值.Append(@"

");
		if(Convert.ToInt32(音乐内容["评论数"])>0)
		{
		返回值.Append(@"
<div class=""div3"">
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_Comment.aspx?CID="+内容栏目["ID"]+"&ID="+音乐内容["ID"],访问.用户["标识"].ToString())));
		返回值.Append(@""">更多评论(");
		返回值.Append(音乐内容["评论数"]);
		返回值.Append(@")</a>
</div>

");

		}
		返回值.Append(@"

");

		}
		返回值.Append(@"

");
		DataSet 数据C3NKIL0T=(DataSet)Application["UUN_UUN3G_NeiRongLanMu"];
		返回值.Append(生成上级栏目列表代码C3NKIL0T(数据C3NKIL0T,栏目ID));
		返回值.Append(@"
<div class=""div3"">
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=2",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a></div>

");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"



</div>
</body>
</html>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
	private String 当前页面;
	//参数
	private new int ID;
	private int 栏目页码;
	private int 栏目排序;
	private int 栏目ID;
	//其它
	private String 查询条件="";
	private Hashtable 音乐内容;
	private Hashtable 音乐文件;
	private DataRow 内容栏目;
	private String 查询字段;
	//设置
	private String 时间格式;
	private String 范围ID;
	private Hashtable 获取音乐内容()
	{
		SqlCommand 语句=new SqlCommand("UPDATE ["+程序.数据表前缀+"内容_音乐_音乐] SET "+
			"[点击数]=[点击数]+1,"+
			"[日点击数]=[日点击数]+1,"+
			"[周点击数]=[周点击数]+1 WHERE [是否删除]=@是否删除"+(ID==0?"":" AND [ID]="+ID),访问.连接);
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;
		语句.ExecuteNonQuery();

		语句=new SqlCommand("SELECT "+查询字段+" FROM ["+程序.数据表前缀+"内容_音乐_音乐] WHERE [是否删除]=@是否删除"+(ID==0?"":" AND [ID]="+ID),访问.连接);
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;

		Hashtable 返回值=常用.SQL_获取(语句);

		if(返回值==null)
			throw new Exception("内容不存在");

		int 内容模板=Convert.ToInt32(返回值["3G内容模板"]);

			if(File.Exists("~/Template/Content/"+程序.设置["默认模板"]+"/Content_Aspx/"+内容模板+".aspx"))
				Server.Transfer("~/Template/Content/"+程序.设置["默认模板"]+"/Content_Aspx/"+内容模板+".aspx");


		常用.应用内容权限(返回值,"音乐",访问);

		ID=Convert.ToInt32(返回值["ID"]);

		return 返回值;
	}
	private DataRow 获取内容栏目()
	{
		DataRow 返回值=null;
		DataSet 内容栏目=(DataSet)Application["UUN_UUN3G_NeiRongLanMu"];
		for(int i=0;i<内容栏目.Tables[0].Rows.Count;i++)
		{
			DataRow 行=内容栏目.Tables[0].Rows[i];
			if(Convert.ToInt32(行["ID"])==栏目ID)
				返回值=行;
		}

		if(返回值==null)
			throw new Exception("内容栏目不存在");

		return 返回值;
	}
	private void 生成音乐内容()
	{
		音乐文件=new Hashtable();
		String[] 文件数组=音乐内容["文件资源"].ToString().Split(new char[]{','},StringSplitOptions.RemoveEmptyEntries);
		for(int i=0;i<文件数组.Length;i++)
			音乐文件.Add(i,文件数组[i]);
	}
		private void 音乐内容WMJLAMYO()
		{
			for(int i=0;i<音乐文件.Count;i++)
			{
				String 音乐地址=音乐文件[i].ToString();
				FileInfo FI=new FileInfo(Server.MapPath(音乐地址));
				返回值.Append(@"<div class=""div3""><a href=""");
				返回值.Append(音乐地址);
				返回值.Append(@""">下载");
				返回值.Append(i+1);
				返回值.Append(@"(");
				返回值.Append(FI.Extension.Substring(1));
				返回值.Append(@"/");
				返回值.Append(常用.计算文件大小(FI.Length));
				返回值.Append(@")</a></div>");

			}
		}
	private void 上下音乐FO80P8G1()
	{
		String SQL="SELECT [ID],[所属栏目],[外部链接],[标题],[标题样式_粗体],[标题样式_斜体],[标题样式_删除线],[标题样式_颜色] FROM ["+程序.数据表前缀+"内容_音乐_音乐] WHERE [是否审核]=@是否审核 AND [是否删除]=@是否删除";
		if(范围ID!=""&&范围ID!=null)
		{
			String[] 范围ID数组=范围ID.Split(new char[]{'|'},StringSplitOptions.RemoveEmptyEntries);
			SQL+=" AND (";
			for(int i=0;i<范围ID数组.Length;i++)
				if(i==0)
					SQL+="[所属栏目]="+范围ID数组[i];
				else
					SQL+=" OR [所属栏目]="+范围ID数组[i];
			SQL+=")";
		}
		else
			SQL+=" AND [所属栏目]="+栏目ID;
		SQL+=" AND [ID]>"+ID+" ORDER BY [ID]";
		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		语句.Parameters.Add("@是否审核",SqlDbType.Bit).Value=false;
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;
		SqlDataReader 行=语句.ExecuteReader();
		if(行.Read())
		{
				返回值.Append(@"<div class=""div3""><a href=""");
				返回值.Append(行["外部链接"].ToString()!=""?Server.HtmlEncode(常用.处理地址(行["外部链接"].ToString(),访问.用户["外部链接"].ToString())):Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_Content.aspx?CID="+栏目ID+"&ID="+行["ID"],访问.用户["标识"].ToString())));
				返回值.Append(@""">&gt;");
				返回值.Append(常用.标题样式(行["标题"].ToString(),Convert.ToBoolean(行["标题样式_粗体"]),Convert.ToBoolean(行["标题样式_斜体"]),Convert.ToBoolean(行["标题样式_删除线"]),Convert.ToString(行["标题样式_颜色"]),0));
				返回值.Append(@"</a></div>");

		}
		else
		{
			返回值.Append(@"");
		}
		行.Close();
	}
	private void 上下音乐W01RAAYO()
	{
		String SQL="SELECT [ID],[所属栏目],[外部链接],[标题],[标题样式_粗体],[标题样式_斜体],[标题样式_删除线],[标题样式_颜色] FROM ["+程序.数据表前缀+"内容_音乐_音乐] WHERE [是否审核]=@是否审核 AND [是否删除]=@是否删除";
		if(范围ID!=""&&范围ID!=null)
		{
			String[] 范围ID数组=范围ID.Split(new char[]{'|'},StringSplitOptions.RemoveEmptyEntries);
			SQL+=" AND (";
			for(int i=0;i<范围ID数组.Length;i++)
				if(i==0)
					SQL+="[所属栏目]="+范围ID数组[i];
				else
					SQL+=" OR [所属栏目]="+范围ID数组[i];
			SQL+=")";
		}
		else
			SQL+=" AND [所属栏目]="+栏目ID;
		SQL+=" AND [ID]<"+ID+" ORDER BY [ID] DESC";
		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		语句.Parameters.Add("@是否审核",SqlDbType.Bit).Value=false;
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;
		SqlDataReader 行=语句.ExecuteReader();
		if(行.Read())
		{
				返回值.Append(@"<div class=""div3""><a href=""");
				返回值.Append(行["外部链接"].ToString()!=""?Server.HtmlEncode(常用.处理地址(行["外部链接"].ToString(),访问.用户["外部链接"].ToString())):Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_Content.aspx?CID="+栏目ID+"&ID="+行["ID"],访问.用户["标识"].ToString())));
				返回值.Append(@""">&lt;");
				返回值.Append(常用.标题样式(行["标题"].ToString(),Convert.ToBoolean(行["标题样式_粗体"]),Convert.ToBoolean(行["标题样式_斜体"]),Convert.ToBoolean(行["标题样式_删除线"]),Convert.ToString(行["标题样式_颜色"]),0));
				返回值.Append(@"</a></div>");

		}
		else
		{
			返回值.Append(@"");
		}
		行.Close();
	}
	private void 评论列表W04JQEZ8()
	{
		SqlCommand 语句=new SqlCommand("SELECT [ID],[楼数],[评论用户昵称],[评论内容] FROM ["+程序.数据表前缀+"内容_评论] WHERE [内容ID]="+ID+" AND [内容类型]='音乐' ORDER BY [发表时间] DESC",访问.连接);
		DataSet 数据=new DataSet();
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(数据,0,5,"表");
		if(数据.Tables[0].Rows.Count<1)
			返回值.Append(@"");
		for(int i=0;i<数据.Tables[0].Rows.Count;i++)
		{
			DataRow 行=数据.Tables[0].Rows[i];
			返回值.Append(@"<div class=""div3"">");
			返回值.Append(行["楼数"].ToString());
			返回值.Append(@".");
			返回值.Append(Server.HtmlEncode(行["评论用户昵称"].ToString()));
			返回值.Append(@":");
			返回值.Append(Server.HtmlEncode(常用.截取字符串(行["评论内容"].ToString(),50)));
			返回值.Append(@"</div>");
		}
	}
	private String 生成上级栏目列表代码C3NKIL0T(DataSet 数据,int ID)
	{
		if(ID!=0)
		{
			String 返回值="";
			String 栏目名称="";
			int 上级栏目=0;
			for(int i=0;i<数据.Tables[0].Rows.Count;i++)
			{
				DataRow 行=数据.Tables[0].Rows[i];
				if(Convert.ToInt32(行["ID"])==ID)
				{
					栏目名称=Convert.ToString(行["栏目名称"]);
					上级栏目=Convert.ToInt32(行["所属栏目"]);
				}
			}
				返回值+=@"<div class=""div3""><a href=""";
				返回值+=Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_Column.aspx?ID="+ID,访问.用户["标识"].ToString()));
				返回值+=@""">返回";
				返回值+=Server.HtmlEncode(栏目名称);
				返回值+=@"</a></div>";
				return 返回值+生成上级栏目列表代码C3NKIL0T(数据,上级栏目);
		}
		else
		{
			return "";
		}
	}
	private String 获取范围ID()
	{
		return null;

	}
	private String 获取时间格式()
	{
		return @"yyyy-MM-dd HH:mm:ss";

	}
	private String 获取查询字段()
	{
		return @"[ID],[所属栏目],[标题],[是否推荐],[是否审核],[外部链接],[是否关闭评论],[权限_仅限会员],[权限_需要等级],[权限_扣除积分],[文件资源],[3G内容模板],[歌手名称],[所属专辑],[评论数]";

	}
}